A2ENMOD(8)

NAME
a2enmod, a2dismod - enable or disable an apache2 module

SYNOPSIS
a2enmod [-q|--quiet] [-m|--maintmode] [ module ]

a2dismod [-q|--quiet] [-f|--force] [-m|--maintmode] [-p|--purge] [ module ]

DESCRIPTION
This manual page documents briefly the a2enmod and a2dismod commands.

a2enmod is a script that enables the specified module within the apache2 configuration. It does this by creating symlinks within /etc/apache2/mods-enabled. Likewise, a2dismod disables a module by removing those symlinks. It is not an error to enable a module which is already enabled, or to disable one which is already disabled.

Note that many modules have, in addition to a .load file, an associated .conf file. Enabling the module puts the configuration directives in the .conf file as directives into the main server context of apache2.

OPTIONS

-q, --quiet
    Don't show informative messages.

-f, --force
    When disabling a module, also cascade disables all modules that depends on it.

-m, --maintmode
    Enables the maintainer mode, that is the program invocation is effectuated automatically by a maintainer script. This switch should not be used by end users.

-p, --purge
    When disabling a module, purge all traces of the module in the internal state data base.

EXIT STATUS
a2enmod and a2dismod exit with status 0 if all modules are processed successfully, 1 if errors occur, 2 if an invalid option was used.

EXAMPLES
    a2enmod imagemap
    a2dismod mime_magic

Enables the mod_imagemap module, and disables the mod_mime_magic module.

ENVIRONMENT

The following environment variables may be specified.

dir_suffix
    Distinguish different instances of apache2. Suffixes /etc/apache2 to build a new APACHE_CONFDIR

APACHE_CONFDIR
    Override the entire configuraation directory (/etc/apache2$dir_suffix)

APACHE_ENVVARS
    Override the default envvars file (/etc/apache2$dir_suffix/envvars)

APACHE_{MODS,CONF,SITES}_AVAIL
    Override the path to the directory holding the available snippets for modules, configuration and sites.

APACHE_{MODS,CONF,SITES}_ENABLED
    Override the path to the directory holding the enabled snippets for modules, configuration and sites. For example, in a multi-instance setup, you can set dir_suffix=-myinstance and override APACHE_MODS_AVAIL back to /etc/apache2/mods-available to have a single store of snippets for all instances

APACHE_STATE_DIRECTORY
    Override the path to the state directory (/var/lib/apache2)

FILES

/etc/apache2/mods-available
    Directory with files giving information on available modules.

/etc/apache2/mods-enabled
    Directory with links to the files in mods-available for enabled modules.

SEE ALSO
apache2ctl(8), a2enconf(8), a2disconf(8), a2ensite(8), a2dissite(8).

AUTHOR
This manual page was written by Daniel Stone <daniel@sfarc.net> for the Debian GNU/Linux distribution, as it is a Debian-specific script with the package.